## imagemagick 6.7.4.0

=== debian/changelog ===
imagemagick (8:6.7.4.0-1) experimental; urgency=low

  [ Bastien Roucariès ]
  * Drop previous quilt patches: merged upstream
  * New upstream version:
  - Fix incorrect readding of PGM header (LP: #346474)
  - Defend against corrupt PSD resource block (LP: #302454)
  - Bug fix: "-depth busted", thanks to jidanni (Closes: #618435).
  - Bug fix: "delegate ffmpeg fails", thanks to Francisco Munoz
    (Closes: #644170).
  * Upstream break ABI keeping API. Bump soname
  * Multiarch aware , thanks to Riku Voipio (Closes: #640680).
  * Fix perlmagick fails at runtime with symbol lookup error, 
    thanks to Michael Terry (Closes: #650417).
  * Prepare new major version transition: build version suffixed 
  binaries.
  * Switch to lcms v2.X support 
  * Add libfftw support (Closes: #598693).

  [ Vincent Fourmond ]
  * Also add a suffix to manual pages
  * Provide the unsuffixed binaries through alternatives

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 17 Dec 2011 21:21:46 +0100
