## imagemagick 6.7.7.10

=== debian/changelog ===
imagemagick (8:6.7.7.10-6ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via psd
    images processing rle decoding buffer overflow
    - debian/patches/CVE-2014-1958.patch: check lengths in coders/psd.c.
    - CVE-2014-1958
  * SECURITY UPDATE: denial of service via jpeg images with specially-
    crafted restart markers
    - debian/patches/CVE-2014-2030.patch: don't overflow layer_name in
      coders/psd.c.
    - CVE-2014-2030

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Mar 2014 11:12:57 -0500

imagemagick (8:6.7.7.10-6ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.
  * Configure with --disable-silent-rules
  * Fix link of test cases.
  * Fix freetype header detection.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Dec 2013 15:40:01 +0100

imagemagick (8:6.7.7.10-6ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Don't set MAKEFLAGS in debian/rules; just pass it to the build.
    - Build-depend on libtiff5-dev instead of libtiff-dev.
    - Depend on fftw3-dev as it's in main, not fftw-dev.
    - Don't build-depend on graphicsmagick-imagemagick-compat (universe).
    - Don't use graphicmagick's convert executable just to convert our svg
      into a menu xpm.  Instead, run the convert we build.
    - Make libmagickcore-dev depend on liblcms2-dev rather than liblcms-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 16:52:05 -0700

imagemagick (8:6.7.7.10-6) unstable; urgency=high

  * Security Fix: Buffer overflow "Memory corruption while processing
    GIF comments.", (Closes: #721273).
  
 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Fri, 30 Aug 2013 00:29:40 +0200

imagemagick (8:6.7.7.10-5ubuntu4) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 21:44:32 +0100

imagemagick (8:6.7.7.10-5ubuntu3) saucy; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution in GIF
    image comment decoding (LP: #1218248)
    - debian/patches/CVE-2013-4298.patch: properly handle comments in
      coders/gif.c.
    - CVE-2013-4298

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Sep 2013 14:49:08 -0400

imagemagick (8:6.7.7.10-5ubuntu2) raring; urgency=low

  * libmagickcore-dev should depend on liblcms2-dev not liblcms-dev 
    (LP: #1132506)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 24 Feb 2013 18:06:30 +0100

imagemagick (8:6.7.7.10-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. (LP: #1079209) Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Don't set MAKEFLAGS in debian/rules; just pass it to the build.
    - Build-Depend on libtiff5-dev instead of libtiff-dev
    - Depend on fftw3-dev as it's in main, not fftw-dev.
    - Don't build depend on graphicsmagick-imagemagick-compat (universe)
    - Don't use graphicmagick's convert executable just to convert our
      svg into a menu xpm.  Instead, run the convert we build.
  * Mark Vcs-* as XS-Debian-Vcs-*
    - update debian/control

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 22 Jan 2013 21:38:05 -0600

imagemagick (8:6.7.7.10-5) unstable; urgency=high
  
  * Fix three security bug (Closes: #692367):
  - Fix a memory leak: after setjmp used variable need to be volatile.
    Fix jpeg and png coder.
  - Fix a memory leak: in webp handling add a forgotten WebPPictureFree
  - Fix another memory leak in case of corrupted image in magick++ read method.
  
 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 05 Nov 2012 13:55:44 +0100

imagemagick (8:6.7.7.10-4) unstable; urgency=high

  * Security Bug fix: "Fails an assertion due to OpenMP related problem",
    thanks to Willi Mann (Closes: #685903).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 27 Aug 2012 11:50:22 +0200

imagemagick (8:6.7.7.10-3) unstable; urgency=high

  * Bug fix: "CVE-2012-3437", ImageMagick: Magick_png_malloc() size 
    argument thanks to Moritz Muehlenhoff (Closes: #683285).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Mon, 30 Jul 2012 22:47:47 +0200

imagemagick (8:6.7.7.10-2ubuntu4) quantal; urgency=low

  * SECURITY UPDATE: denial of service via large resource consumption
    - debian/patches/CVE-2012-3437.patch: always use correct size argument
      with libpng memory allocation
    - CVE-2012-3437

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Aug 2012 09:31:02 -0500

imagemagick (8:6.7.7.10-2ubuntu3) quantal; urgency=low

  * debian/control, debian/rules:
    - Don't use graphicmagick's convert executable just to convert our
      svg into a menu xpm.  Instead, run the convert we build.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 10 Jul 2012 14:00:56 -0400

imagemagick (8:6.7.7.10-2ubuntu2) quantal; urgency=low

  * debian/control:
    - Depend on fftw3-dev, not fftw-dev.  fftw-dev is very old and not in
      main, like fftw3-dev is.  Plus, imagemagick doesn't even check for
      fftw2, it only can use fftw3.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 10 Jul 2012 12:45:07 -0400

imagemagick (8:6.7.7.10-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Don't set MAKEFLAGS in debian/rules; just pass it to the build.
  * debian/control:
    - Build-Depend on libtiff5-dev instead of libtiff-dev

 -- Michael Terry <mterry@ubuntu.com>  Tue, 10 Jul 2012 11:21:50 -0400

imagemagick (8:6.7.7.10-2) unstable; urgency=low

  * Really solve the upgrade problem (Closes: #679188, #679063).
  * Build-depend on debhelper >= 9~

 -- Vincent Fourmond <fourmond@debian.org>  Fri, 29 Jun 2012 23:18:39 +0200

imagemagick (8:6.7.7.10-1) unstable; urgency=low

  * Bug fix: "fails to upgrade from wheezy - trying to overwrite

