=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: imagemagick
 Section: graphics
 Priority: optional
-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
 Uploaders: Luciano Bello <luciano@debian.org>,
  Daniel Kobras <kobras@debian.org>, 
  Nelson A. de Oliveira <naoliv@debian.org>,
  Bastien Roucariès <roucaries.bastien+debian@gmail.com>,
  Vincent Fourmond <fourmond@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: chrpath, debhelper (>= 8.1.3~), ghostscript, libbz2-dev,
- libdjvulibre-dev, libexif-dev, fftw-dev, libfreetype6-dev, libgraphviz-dev,
+Standards-Version: 3.9.3
+Build-Depends: chrpath, debhelper (>= 9~), ghostscript, libbz2-dev,
+ dh-autoreconf,
+ libdjvulibre-dev, libexif-dev, fftw3-dev, libfreetype6-dev, 
+# libgraphviz-dev, incompatible license against fftw
  libjasper-dev, libjpeg-dev, liblcms2-dev, liblqr-1-0-dev, libltdl-dev,
- libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
+ libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff5-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev
-Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
-Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
+ zlib1g-dev, liblzma-dev, libpango1.0-dev, librsvg2-bin
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
+XS-Debian-Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
 Homepage: http://www.imagemagick.org/
 
 Package: imagemagick
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmagickcore5-extra, ghostscript, netpbm, ufraw-batch
+Depends: ${shlibs:Depends}, ${misc:Depends}, hicolor-icon-theme
+Recommends: libmagickcore5-extra, ghostscript, netpbm
 Suggests: imagemagick-doc, autotrace, cups-bsd | lpr | lprng, curl, enscript,
  ffmpeg, gimp, gnuplot, grads, groff-base, hp2xx, html2ps, libwmf-bin, mplayer,
- povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils
+ povray, radiance, sane-utils, texlive-base-bin, transfig, xdg-utils, ufraw-batch
 Description: image manipulation programs
  ImageMagick is a software suite to create, edit, and compose bitmap images.
  It can read, convert and write images in a variety of formats (over 100)
@@ -50,6 +53,7 @@
 Package: imagemagick-common
 Architecture: all
 Multi-Arch: foreign
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${misc:Depends}
 Description: image manipulation programs -- infrastructure
  imagemagick-common contains the filesystem infrastructure required for
@@ -80,7 +84,7 @@
  The MagickCore API is a low-level interface between the C programming language
  and the ImageMagick image processing libraries and is recommended for
  wizard-level programmers only. Unlike the MagickWand C API which uses only a
- few opaque types and accessors, with MagickCore you almost exlusively access
+ few opaque types and accessors, with MagickCore you almost exclusively access
  the structure members directly.
  .
  This package contains the C libraries needed to run executables that make
@@ -93,6 +97,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Enhances: libmagickcore5
+Provides: libmagickcore-extra
+Breaks: libmagickcore5 (<< 8:6.7.7.10-1)
+Replaces: libmagickcore5 (<< 8:6.7.7.10-1)
 Description: low-level image manipulation library - extra codecs
  This package adds support for SVG, WMF, OpenEXR, DjVu and Graphviz to
  MagickCore.
@@ -105,8 +112,8 @@
 Depends: libmagickcore5 (= ${binary:Version}),
  libmagickcore5-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
- liblcms-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
- librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
+ liblcms2-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
+ librsvg2-dev, libtiff5-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev, 
  ${misc:Depends},
  pkg-config
