=== debian/rules ===
--- 
+++ 
@@ -21,23 +21,36 @@
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-MAKEFLAGS += -j$(NUMJOBS)
+UPSTREAM_MAKEFLAGS += -j$(NUMJOBS)
 endif
+
+# This is very hackish, but should do the trick. For some reason, the
+# libtools wrapper scripts don't work.
+# And for some reasons, the delegates are missing here.
+CONVERT = MAGICK_CONFIGURE_PATH=./config LD_LIBRARY_PATH=$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs MAGICK_CODER_MODULE_PATH=$(CURDIR)/coders/.libs $(CURDIR)/utilities/.libs/convert
+
+# ARGH, we use graphicsmagick convert to avoid painful circular dependencies...
+# CONVERT = /usr/bin/convert
 
 build: build-stamp
 build-stamp: $(QUILT_STAMPFN)
 	dh_testdir
-
+	dh_autoreconf
+        # NOTICE: remove EPL delegate lib gvc
 	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
+	--disable-silent-rules \
 	--prefix=/usr \
         --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--sysconfdir=/etc \
 	--mandir=\$${prefix}/share/man \
 	--infodir=\$${prefix}/share/info \
+	$(shell dpkg-buildflags --export=configure) \
 	--with-modules \
 	--with-gs-font-dir=/usr/share/fonts/type1/gsfonts \
 	--with-magick-plus-plus \
 	--with-djvu \
+        --with-wmf \
+        --without-gvc \
 	--enable-shared \
 	--without-dps \
 	--without-fpx \
@@ -53,7 +66,7 @@
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 
-	$(MAKE)
+	$(MAKE) $(UPSTREAM_MAKEFLAGS)
 
 	# Create Makefile after building main library, so it finds -lMagickCore (see #650417)
 	cd "$(CURDIR)/PerlMagick" && \
@@ -61,6 +74,19 @@
 
 	cd "$(CURDIR)/PerlMagick" && \
 		$(MAKE) OPTIMIZE="-O2 -g -Wall"
+
+	# build icons cache
+	while read SIZE; do \
+		mkdir -p $(CURDIR)/debian/icons/$$SIZE/apps/ ;\
+		echo $$SIZE | sed "s/^\([[:digit:]]*\)x\([[:digit:]]*\)$$/-w \1 -h \2/g" \
+		| xargs rsvg-convert $(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).svg > $(CURDIR)/debian/icons/$$SIZE/apps/display.im$(DEB_UPSTREAM_VERSION_MAJOR).png; \
+	done < $(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).iconssize
+	# make xpm
+	$(CONVERT) $(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).svg -resize 32x32 \
+		$(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).xpm
+	mkdir -p $(CURDIR)/debian/icons/scalable/apps/
+	gzip -c -n -9 $(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).svg \
+		> $(CURDIR)/debian/icons/scalable/apps/display.im$(DEB_UPSTREAM_VERSION_MAJOR).svgz
 
 	touch build-stamp
 
@@ -80,7 +106,7 @@
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
 		unset DISPLAY; \
 		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
-		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
+		$(MAKE) $(UPSTREAM_MAKEFLAGS) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
 		cat test-suite.log; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
@@ -100,6 +126,11 @@
 	rm -f "$(CURDIR)/utilities/.libs/*" "$(CURDIR)/_configs.sed" #\
 #		"$(CURDIR)/magick/magick-config.h"
 
+	# remove icons cache
+	[ ! -d $(CURDIR)/debian/icons ] || rm -rf $(CURDIR)/debian/icons
+	[ ! -f $(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).xpm ] || rm -rf $(CURDIR)/debian/display.im$(DEB_UPSTREAM_VERSION_MAJOR).xpm
+
+	dh_autoreconf_clean
 	dh_clean build-stamp
 
 install: build check
@@ -116,10 +147,6 @@
 		$(MAKE) install \
 		DESTDIR="$(CURDIR)/debian/tmp" \
 		pkgdocdir=/usr/share/doc/imagemagick
-
-	mkdir -p $(DESTDIR)/usr/share/pixmaps/
-	install -m 644 "$(CURDIR)/debian/display.xpm" \
-		$(DESTDIR)/usr/share/pixmaps/
 
 	-find "$(CURDIR)/debian" -type f -name .packlist | xargs rm -f
 
@@ -193,4 +220,3 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
