=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/\.dfsg\d+$//" \
ftp://ftp.imagemagick.org/pub/ImageMagick/ ImageMagick-(.*)\.tar\.bz2
