## imagemagick 6.7.7.10+dfsg

=== debian/changelog ===
imagemagick (8:6.7.7.10+dfsg-4ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Depend on fftw3-dev as it's in main, not fftw-dev.
    - Make libmagickcore-dev depend on liblcms2-dev rather than liblcms-dev.
    - Build using dh-autoreconf.
    - Fix link of test cases.
  * Dropped changes:
    - Build-depend on libtiff5-dev instead of libtiff-dev (libtiff5-dev is
      the only libtiff-dev provider nowadays).
    - Configure with --disable-silent-rules (launchpad-buildd exports V=1
      for all builds now, which is equivalent).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 14:22:23 +0100

imagemagick (8:6.7.7.10+dfsg-4) unstable; urgency=medium

  * Prepare perl transition (/usr/lib/perl5 move to 
    /usr/lib/$ARCH_TRIPLET/perl5/) and avoid FTBFS (closes: #750095).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 01 Jun 2014 20:49:48 +0200

imagemagick (8:6.7.7.10+dfsg-3) unstable; urgency=low

  * Deactivate parallel build to avoid spurious FTBSes (damn #704225)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 25 May 2014 14:19:02 +0200

imagemagick (8:6.7.7.10+dfsg-2ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian. Remaining changes:
    - Make ufraw-batch (universe) a suggestion instead of a recommendation.
    - Don't set MAKEFLAGS in debian/rules; just pass it to the build.
    - Build-depend on libtiff5-dev instead of libtiff-dev.
    - Depend on fftw3-dev as it's in main, not fftw-dev.
    - Make libmagickcore-dev depend on liblcms2-dev rather than liblcms-dev.
    - Build using dh-autoreconf.
    - Configure with --disable-silent-rules
    - Fix link of test cases.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 16 May 2014 10:06:48 -0400

imagemagick (8:6.7.7.10+dfsg-2) unstable; urgency=low

  * Drop build dependency on graphicsmagick, but use built imagemagick
  (closes: #747822)

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 12 May 2014 23:02:58 +0200

imagemagick (8:6.7.7.10+dfsg-1) unstable; urgency=high

  * Fix three security bugs (Closes: #740250):
  - Fix CVE-2014-1958 and CVE-2014-2030, two buffer overflow
    in psd file handling.
  - Fix CVE-2014-1947 a buffer overflow in log handling.
  * repack due to license problem (Closes: #734800).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 02 Mar 2014 19:28:30 +0100

imagemagick (8:6.7.7.10-7) unstable; urgency=low

  * Backporting SVN revision 10757 in the hope to fix the build with newer
    freetype (closes: #732418), running autoconf at beginning of build to
    regenerate configure (but not dh-autoreconf, it seems to make a mess
    of the build system)

 -- Vincent Fourmond <fourmond@debian.org>  Sun, 22 Dec 2013 21:34:19 +0100
