=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
  Vincent Fourmond <fourmond@debian.org>
 Standards-Version: 3.9.3
 Build-Depends: chrpath, debhelper (>= 9~), ghostscript, libbz2-dev,
- dh-autoreconf,
  libdjvulibre-dev, libexif-dev, fftw3-dev, libfreetype6-dev, 
 # libgraphviz-dev, incompatible license against fftw
  libjasper-dev, libjpeg-dev, liblcms2-dev, liblqr-1-0-dev, libltdl-dev,
- libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff5-dev,
+ libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev, liblzma-dev, libpango1.0-dev, librsvg2-bin
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
-XS-Debian-Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
+ zlib1g-dev, liblzma-dev, libpango1.0-dev, librsvg2-bin, dh-autoreconf, 
+ autoconf
+Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
+Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
 Homepage: http://www.imagemagick.org/
 
 Package: imagemagick
@@ -113,7 +113,7 @@
  libmagickcore5-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
  liblcms2-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
- librsvg2-dev, libtiff5-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
+ librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
  libxt-dev, zlib1g-dev, 
  ${misc:Depends},
  pkg-config
