## imagemagick 6.8.9

=== debian/changelog ===
imagemagick (8:6.8.9-1mrtns5) precise; urgency=low

  * Move to sausy scripts

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 23 May 2014 12:51:44 +0400
