=== debian/control ===
--- 
+++ 
@@ -3,22 +3,18 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
-Uploaders: Luciano Bello <luciano@debian.org>,
- Daniel Kobras <kobras@debian.org>, 
- Nelson A. de Oliveira <naoliv@debian.org>,
- Bastien Roucariès <roucaries.bastien+debian@gmail.com>,
- Vincent Fourmond <fourmond@debian.org>
+Uploaders: Maxim Filatov <bregor@evilmartians.com>
 Standards-Version: 3.9.3
 Build-Depends: chrpath, debhelper (>= 9~), ghostscript, libbz2-dev,
- libdjvulibre-dev, libexif-dev, fftw3-dev, libfreetype6-dev, 
+ dh-autoreconf,
+ libdjvulibre-dev, libexif-dev, fftw3-dev, libfreetype6-dev,
 # libgraphviz-dev, incompatible license against fftw
  libjasper-dev, libjpeg-dev, liblcms2-dev, liblqr-1-0-dev, libltdl-dev,
- libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff-dev,
+ libopenexr-dev, libperl-dev, libpng-dev, librsvg2-dev, libtiff4-dev,
  libwmf-dev, libx11-dev, libxext-dev, libxml2-dev, libxt-dev, pkg-config,
- zlib1g-dev, liblzma-dev, libpango1.0-dev, librsvg2-bin, dh-autoreconf, 
- autoconf
-Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
-Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
+ zlib1g-dev, liblzma-dev, libpango1.0-dev, librsvg2-bin
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=collab-maint/imagemagick.git
+XS-Debian-Vcs-Git: git://git.debian.org/collab-maint/imagemagick.git
 Homepage: http://www.imagemagick.org/
 
 Package: imagemagick
@@ -35,7 +31,7 @@
  including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
  SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
  shear and transform images, adjust image colors, apply various special
- effects, or draw text, lines, polygons, ellipses and Bézier curves. 
+ effects, or draw text, lines, polygons, ellipses and Bézier curves.
  All manipulations can be achieved through shell commands as well as through
  an X11 graphical interface (display).
 
@@ -60,7 +56,7 @@
  further installation of imagemagick in any configuration; it does not provide
  a full installation of binaries, libraries, and utilities
  required to run imagemagick.
- 
+
 Package: imagemagick-doc
 Architecture: all
 Section: doc
@@ -113,8 +109,8 @@
  libmagickcore5-extra (= ${binary:Version}), libbz2-dev, libdjvulibre-dev,
  libexif-dev, libfreetype6-dev, libgraphviz-dev, libjasper-dev, libjpeg-dev,
  liblcms2-dev, liblqr-1-0-dev, libltdl-dev, libopenexr-dev, libpng-dev,
- librsvg2-dev, libtiff-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
- libxt-dev, zlib1g-dev, 
+ librsvg2-dev, libtiff4-dev, libwmf-dev, libx11-dev, libxext-dev, libxml2-dev,
+ libxt-dev, zlib1g-dev,
  ${misc:Depends},
  pkg-config
 Description: low-level image manipulation library - development files
@@ -127,7 +123,7 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick-common
-Description: image manipulation library 
+Description: image manipulation library
  The MagickWand API is the recommended interface between the C programming
  language and the ImageMagick image processing libraries. Unlike the
  MagickCore C API, MagickWand uses only a few opaque types. Accessors are
@@ -169,7 +165,7 @@
 Section: libdevel
 Depends: libmagick++5 (= ${binary:Version}),
  libmagickcore-dev (= ${binary:Version}),
- libmagickwand-dev (= ${binary:Version}), ${misc:Depends}, 
+ libmagickwand-dev (= ${binary:Version}), ${misc:Depends},
  pkg-config
 Description: object-oriented C++ interface to ImageMagick - development files
  This package includes header files and static libraries needed to compile
