=== debian/rules ===
--- 
+++ 
@@ -16,18 +16,18 @@
 
 export DEB_UPSTREAM_VERSION_DROPREVISION ?= $(shell echo $(DEB_UPSTREAM_VERSION) |  sed -r "s/(^.+)\..+$$/\1/g")
 export DEB_UPSTREAM_VERSION_MAJOR ?= $(shell echo $(DEB_UPSTREAM_VERSION) | sed -r "s/(^[[:digit:]]+)\..+$$/\1/g")
-export DEB_PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')
 
 DESTDIR="$(CURDIR)/debian/tmp"
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-# MAKEFLAGS += -j$(NUMJOBS)
-# We don't want parallel builds as this sometimes causes FTBSes
-MAKEFLAGS += -j1
+UPSTREAM_MAKEFLAGS += -j$(NUMJOBS)
 endif
 
-CONVERT = MAGICK_CONFIGURE_PATH=./config LD_LIBRARY_PATH=$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs MAGICK_CODER_MODULE_PATH=$(CURDIR)/coders/.libs  $(CURDIR)/utilities/.libs/convert
+# This is very hackish, but should do the trick. For some reason, the
+# libtools wrapper scripts don't work.
+# And for some reasons, the delegates are missing here.
+CONVERT = MAGICK_CONFIGURE_PATH=./config LD_LIBRARY_PATH=$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs MAGICK_CODER_MODULE_PATH=$(CURDIR)/coders/.libs $(CURDIR)/utilities/.libs/convert
 
 # ARGH, we use graphicsmagick convert to avoid painful circular dependencies...
 # CONVERT = /usr/bin/convert
@@ -38,6 +38,7 @@
 	dh_autoreconf
         # NOTICE: remove EPL delegate lib gvc
 	MagickDocumentPath="/usr/share/doc/imagemagick" ./configure \
+	--disable-silent-rules \
 	--prefix=/usr \
         --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--sysconfdir=/etc \
@@ -53,9 +54,10 @@
 	--enable-shared \
 	--without-dps \
 	--without-fpx \
+	--with-perl \
 	--with-perl-options='INSTALLDIRS=vendor' \
 	--x-includes=/usr/include/X11 \
-	--x-libraries=/usr/lib/X11 
+	--x-libraries=/usr/lib/X11
 
 	# Patch the generated libtool to avoid passing -rpath when linking,
 	# and to explicitly link libraries against the libraries they
@@ -65,7 +67,7 @@
 		-e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
 		-e '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
 
-	$(MAKE)
+	$(MAKE) $(UPSTREAM_MAKEFLAGS)
 
 	# Create Makefile after building main library, so it finds -lMagickCore (see #650417)
 	cd "$(CURDIR)/PerlMagick" && \
@@ -105,7 +107,7 @@
 	@if test "$(DEB_HOST_GNU_TYPE)" = "$(DEB_BUILD_GNU_TYPE)"; then \
 		unset DISPLAY; \
 		LD_LIBRARY_PATH="$(CURDIR)/magick/.libs:$(CURDIR)/wand/.libs:$(CURDIR)/Magick++/lib/.libs:$$LD_LIBRARY_PATH" \
-		$(MAKE) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
+		$(MAKE) $(UPSTREAM_MAKEFLAGS) check LD_RUN_PATH= && echo "*** Testsuite succeeded ***" || echo "*** Testsuite failed ***"; \
 		cat test-suite.log; \
 	else \
 		echo "Skipping regression tests because we appear to be cross-compiling"; \
@@ -154,10 +156,6 @@
 		$(DESTDIR)/usr/share/man/man*/*
 	sed -i 's/doc\/ImageMagick\\-$(DEB_UPSTREAM_VERSION_DROPREVISION)/doc\/imagemagick/' \
 		$(DESTDIR)/usr/share/man/man*/*
-
-	# Use x-terminal emulator for editing (Bug #132947)
-	sed -i 's/xterm/\/etc\/alternatives\/x-terminal-emulator/' \
-		$(DESTDIR)/etc/ImageMagick/delegates.xml
 
         # Add a suffix to binaries, and to the corresponding manual
         # page
@@ -177,7 +175,7 @@
 	-find $(DESTDIR) -type d -empty | xargs -r rmdir -p
 
 	# Remove RPATH from Magick.so
-	chrpath -d $(DESTDIR)/$(DEB_PERL_ARCHLIB)/auto/Image/Magick/Magick.so
+	chrpath -d $(DESTDIR)/usr/lib/perl5/auto/Image/Magick/Magick.so
 
 	# empties dependency_libs from .la files
 	# http://lists.debian.org/debian-devel/2009/08/msg00783.html
